# Build:

copy assets to ./assets directory

docker build -t conjurinc/conjur-ui .

# Run

docker run -d -p 80:80  -e CONJUR_APPLIANCE_URL=https://ec2-54-211-139-100.compute-1.amazonaws.com conjurinc/conjur-ui

## Parameters

Parameters are passed as env variables to the container

### Mandatory

CONJUR_APPLIANCE_URL -- should consist of protocol(http/https) and hostname of Conjur appliance. No URI part.

### Optional 

#### Login form pre-fill
CONJUR_USERNAME -- username to prefill login form
CONJUR_PASSWORD -- password to prefill login form

#### SSL certificate validation during connection to Conjur appliance
CONJUR_APPLIANCE_CA -- string containing CA certificate of the appliance to which container is expected to connect to; triggers SSL certificate validation between container and appliance

#### HTTPS for inbound connections

By default, container exposes it's interfaces via plain HTTP. This is convenient for local usage (e.g. when it's run on workstation), but is not very secure.

Following options force container to serve inbound connections over HTTPS

* SERVER_SSL_KEY -- string containing RSA private key
* SERVER_SSL_CRT -- string containing SSL certificate
* SERVER_HOSTNAME -- name of the server which clients use to connect (localhost by default)
* DH_PARAM_PEM  -- string containing dh_param.pem (will be autogenerated on container launch otherwise, with length of 4096, and it takes significant time)

